org.cybergarage.soap

## Class SOAPRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.soap.SOAPRequest

- Direct Known Subclasses:
    ControlRequest, NotifyRequest

      public class SOAPRequest
      extends HTTPRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAPRequest()`
    `SOAPRequest(HTTPRequest httpReq)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getBodyNode()`
    `Node` | `getEnvelopeNode()`
    `String` | `getSOAPAction()`
    `boolean` | `isSOAPAction(String value)`
    `SOAPResponse` | `postMessage(String host, int port)`
    `void` | `print()`
    `void` | `setContent(Node node)`
    `void` | `setEnvelopeNode(Node node)`
    `void` | `setSOAPAction(String action)`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPRequest

          public SOAPRequest()

    - #### SOAPRequest

          public SOAPRequest(HTTPRequest httpReq)

  - ### Method Detail

    - #### setSOAPAction

          public void setSOAPAction(String action)

    - #### getSOAPAction

          public String getSOAPAction()

    - #### isSOAPAction

          public boolean isSOAPAction(String value)

    - #### postMessage

          public SOAPResponse postMessage(String host,
                                 int port)

    - #### setEnvelopeNode

          public void setEnvelopeNode(Node node)

    - #### getEnvelopeNode

          public Node getEnvelopeNode()

    - #### getBodyNode

          public Node getBodyNode()

    - #### setContent

          public void setContent(Node node)

    - #### print

          public void print()

      Overrides:
        `print` in class `HTTPRequest`